
QGIS Application - Bug report #3443

line snapping fails to snap to it self

2011-01-26 09:22 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 13503

Description

Line snapping works just fine for existing lines but it fails to snap to new digitized line (it self). It's usefull to snap at minimum to line start

point to provide creation of closed lines (rings).

Similar issue was recently fixed in GRASS GIS. http://trac.osgeo.org/grass/ticket/1255

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#3 - 2012-09-04 12:03 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-11-29 02:23 AM - marisn -

- Pull Request or Patch supplied set to No

Ooooh how I hate to go report a bug and find out that somebody has already reported it long time a go. And that somebody is me :(

#5 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-11-14 05:07 AM - Giovanni Manghi

- Assignee deleted (Marco Hugentobler)

- Status info deleted (0)

- Operating System deleted (Gentoo)

- Target version deleted (Future Release - Lower Priority)

- Priority changed from Low to Normal

still true.
#7 - 2017-05-01 01:10 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
